{% extends 'base.html.twig' %}
{% block title %} Nouveau Pixel Art{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-6">
                        <div class="card pixForm">
                            <h2>Pixel Art </h2>
                            <form id="sizePicker" name="gridSize">
                                <div class="form-group">
                                    <label for="inputHeight"></label>
                                    <input class="shortForm" type="number" id="inputHeight"
                                           title="Définissez la hauteur en nombre de pixel"
                                           name="height"
                                           min="1" max="100" placeholder="Hauteur en pixel">
                                </div>
                                <div class="form-group">
                                    <label for="inputWidth"></label>
                                    <input class="shortForm" type="number" id="inputWidth"
                                           title="Définissez la largeur en nombre de pixel"
                                           name="width"
                                           min="1" max="100" placeholder="Largeur en pixel">
                                </div>
                                <div class="from-group">
                                    <h2>Mode: </h2><span id="modeDisplay" class="paintOrErase"></span>
                                    <div id="mode">
                                        <button id="paintBtn" class="btn btn-outline-dark paint"
                                                title="Set mode to PAINT"
                                                type="button">
                                            <i class="fas fa-paint-brush paint"></i>
                                        </button>
                                        <button id="eraseBtn" class="btn btn-outline-dark  erase"
                                                title="Set mode to ERASE"
                                                type="button">
                                            <i class="fas fa-eraser erase"></i>
                                        </button>
                                    </div>
                                    <div class="form-group">
                                        <label for="colorPicker">Couleur du pinceau : </label>
                                        <input class="inputPixColor " type="color" id="colorPicker" value="#fff"
                                               title="Choissisez la couleur du pinceau">
                                    </div>
                                    <div class="form-group">
                                        <div class="gridCreateClear">
                                            <button class="btn btn-outline-dark " type="submit" id="createGrid"
                                                    value="Create Grid"
                                                    name="submitGrid" title="Créer une zone de dessin en pixel"> Generer
                                                zone
                                                de dessin
                                            </button>
                                            <button class="btn btn-outline-dark" type="button" id="clearGrid"
                                                    value="Clear"
                                                    title="Remet a zero la zone de dessin">
                                                Reset
                                            </button>
                                        </div>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card pixForm">
                            <header>
                                <h2>Informations supplementaires</h2>
                            </header>
                            <div class="body">
                                {{ form_start(form) }}
                                <form action="">
                                    <div class="form-group">
                                        <label for="pixel_pub_link"></label>
                                        {{ form_widget(form.link) }}
                                    </div>
                                    <small class="form-text text-muted">
                                        Veuillez entrer l'url compléte de votre site
                                    </small>
                                    <div class="form-group">
                                        <label for="pixel_pub_title"></label>
                                        {{ form_widget(form.title) }}
                                        <small class="form-text text-muted">
                                            Vous pouvez ici entrer ici une phrase decrivant votre site et qui apparaitre
                                            de cette maniere quand vous passerez votre souris dessus ==>
                                        </small><i class="fa-solid fa-certificate" title="Voici un exemple  "></i>
                                    </div>
                                    <div class="form-group">
                                        <label for="pixel_pub_banner"></label>
                                        {{ form_widget(form.banner) }}
                                        <small class="form-text text-muted">
                                            Choissisez sur quel banniere apparaitra votre Pixel Art
                                        </small>
                                    </div>
                                </form>
                                {{ form_end(form) }}

                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div id="hiddenBlock">
        <div id="gridCanvas" class="gridCanvas rotationTime">
            <h2 class="text-center">Laissez votre Art s'exprimer</h2>
            <table id="pixelCanvas"></table>
            <p id="legend" class="noLegend"><em></em></p>
        </div>
        <div class="text-center">
            <button class="btn" id="saveCanvas"> Enregistrer votre Oeuvre d'art</button>
        </div>
    </div>
{% endblock %}
 {% block javascripts %}
     <script src="{{ asset('js/main.js') }}" ></script>
 {% endblock %}